<!-- resources/views/home.blade.php -->

@extends('layout.app')

@section('title', 'Register Page')

@section('content')
<section class="position-relative h-100 pt-5 pb-4">

    <!-- Sign up form -->
    <div class="container d-flex flex-wrap justify-content-center justify-content-xl-start h-100 pt-5">
      <div class="w-100 align-self-end pt-1 pt-md-4 pb-4" style="max-width: 526px;">
        <h1 class="text-center text-xl-start">Create Account</h1>
        <p class="text-center text-xl-start pb-3 mb-3">Already have an account? <a href="{{route('login')}}">Sign in here.</a></p>
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <form action="{{ route('register.student') }}" method="POST" class="needs-validation" novalidate>
            @csrf <!-- CSRF protection -->
            <div class="row">
                <div class="col-sm-6">
                    <div class="position-relative mb-4">
                        <label for="name" class="form-label fs-base">Full Name</label>
                        <input type="text" name="name" id="name" class="form-control form-control-lg" required>
                        <div class="invalid-feedback position-absolute start-0 top-100">Please enter your name!</div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="position-relative mb-4">
                        <label for="email" class="form-label fs-base">Email</label>
                        <input type="email" name="email" id="email" class="form-control form-control-lg" required>
                        <div class="invalid-feedback position-absolute start-0 top-100">Please enter a valid email address!</div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="position-relative mb-4">
                        <label for="phone" class="form-label fs-base">Phone</label>
                        <input type="text" name="phone" id="phone" class="form-control form-control-lg" value="+20" required>
                        <div class="invalid-feedback position-absolute start-0 top-100">Please enter a valid phone number!</div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="position-relative mb-4">
                        <label for="age" class="form-label fs-base">Age</label>
                        <input type="number" name="age" id="age" class="form-control form-control-lg" required>
                        <div class="invalid-feedback position-absolute start-0 top-100">Please enter your age!</div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="position-relative mb-4">
                        <label for="grade_level" class="form-label fs-base">Grade Level</label>
                        <input type="text" name="grade_level" id="grade_level" class="form-control form-control-lg" required>
                        <div class="invalid-feedback position-absolute start-0 top-100">Please enter your grade level!</div>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="position-relative mb-4">
                        <label for="system" class="form-label fs-base">System</label>
                        <select name="system" id="system" class="form-control form-control-lg" required>
                            <option value="" disabled selected>Select your system</option>
                            <option value="American">American</option>
                            <option value="British">British</option>
                            <option value="Masry">Masry</option>
                        </select>
                        <div class="invalid-feedback position-absolute start-0 top-100">Please select your system!</div>
                    </div>
                </div>
                <div class="col-12 mb-4">
                    <label for="password" class="form-label fs-base">Password</label>
                    <div class="password-toggle">
                        <input type="password" name="password" id="password" class="form-control form-control-lg" required>
                        <label class="password-toggle-btn" aria-label="Show/hide password">
                            <input class="password-toggle-check" type="checkbox">
                            <span class="password-toggle-indicator"></span>
                        </label>
                        <div class="invalid-feedback position-absolute start-0 top-100">Please enter a password!</div>
                    </div>
                </div>
                <div class="col-12 mb-4">
                    <label for="password-confirm" class="form-label fs-base">Confirm Password</label>
                    <div class="password-toggle">
                        <input type="password" name="password_confirmation" id="password-confirm" class="form-control form-control-lg" required>
                        <label class="password-toggle-btn" aria-label="Show/hide password">
                            <input class="password-toggle-check" type="checkbox">
                            <span class="password-toggle-indicator"></span>
                        </label>
                        <div class="invalid-feedback position-absolute start-0 top-100">Please confirm your password!</div>
                    </div>
                </div>
            </div>
            <div class="mb-4">
                <div class="form-check">
                    <input type="checkbox" id="terms" name="terms" class="form-check-input" required>
                    <label for="terms" class="form-check-label fs-base">
                        I agree to the <a href="#" target="_blank">Terms & Conditions</a>
                    </label>
                    <div class="invalid-feedback">You must agree before submitting.</div>
                </div>
            </div>
            <button type="submit" class="btn btn-primary shadow-primary btn-lg w-100">Sign up</button>
        </form>
              
        <hr class="my-4">
        
      </div>
      {{-- <div class="w-100 align-self-end">
        <p class="nav d-block fs-xs text-center text-xl-start pb-2 mb-0">
          &copy; All rights reserved. Made by 
          <a class="nav-link d-inline-block p-0" href="https://createx.studio/" target="_blank" rel="noopener">Createx Studio</a>
        </p>    
      </div> --}}
    </div>
    
    <!-- Background -->
    <div class="position-absolute top-0 end-0 w-50 h-100 bg-position-center bg-repeat-0 bg-size-cover d-none d-xl-block" style="background-image: url(assets/img/account/signin-bg.png);     z-index: -1;"></div>
  </section>
@endsection
